> ## Documentation Index
> Fetch the complete documentation index at: https://docs.chift.eu/llms.txt
> Use this file to discover all available pages before exploring further.

# Get contacts of a partner

> Returns the contact persons linked to a specific client or supplier partner in the accounting system.

**Learn more:**

* What are partners (clients, suppliers, employees)? [↗](/unified-apis/accounting/concepts/partner)


## OpenAPI

````yaml get /consumers/{consumer_id}/accounting/contacts
openapi: 3.1.0
info:
  title: Chift API
  description: >-
    The Chift API is a universal API giving you access to financial data from
    the software of your clients. It helps software companies to offer native
    integrations to their clients without the effort needed to maintain those
    native integrations. By using the APIs (Accounting, POS, eCommerce) of
    Chift, you connect once and allow your clients to use their software
    packages.
  version: 1.0.0
servers:
  - url: https://api.chift.eu
    description: Chift
security:
  - bearerAuth: []
paths:
  /consumers/{consumer_id}/accounting/contacts:
    get:
      tags:
        - Accounting
        - Contacts
      summary: Get contacts of a partner
      description: >-
        Returns the contact persons linked to a specific client or supplier
        partner in the accounting system.
      operationId: accounting_get_partner_contacts
      parameters:
        - name: consumer_id
          in: path
          required: true
          schema:
            type: string
            format: uuid
            title: Consumer Id
        - name: page
          in: query
          required: false
          schema:
            type: integer
            minimum: 1
            default: 1
            title: Page
          description: Page number
        - name: size
          in: query
          required: false
          schema:
            type: integer
            maximum: 100
            minimum: 1
            default: 50
            title: Size
          description: Page size
        - name: folder_id
          in: query
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            title: Folder Id
          description: >-
            Id of the accounting folder instance. A folder represents a legal
            entity within the system. Required when the multiple folders feature
            is enabled.
        - name: partner_type
          in: query
          required: true
          schema:
            $ref: '#/components/schemas/PartnerType-Input'
        - name: partner_id
          in: query
          required: true
          schema:
            type: string
            title: Partner Id
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ChiftPage_ContactItem_'
        '400':
          content:
            application/json:
              example:
                message: Error while trying to perform your request
                status: error
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Bad Request
        '404':
          content:
            application/json:
              examples:
                ERROR_PARTNER_NOT_FOUND:
                  value:
                    message: >-
                      The client/supplier doesn't exist in the accounting
                      system.
                    status: error
                    error_code: ERROR_PARTNER_NOT_FOUND
                ERROR_PARTNER_NOT_FOUND_2:
                  value:
                    message: >-
                      The ${partner_type} doesn't exist in the accounting
                      system.
                    status: error
                    error_code: ERROR_PARTNER_NOT_FOUND
                ERROR_PARTNER_NOT_FOUND_3:
                  value:
                    message: >-
                      The client/supplier '${partner_id}' doesn't exist in the
                      accounting system.
                    status: error
                    error_code: ERROR_PARTNER_NOT_FOUND
                ERROR_PARTNER_NOT_FOUND_4:
                  value:
                    message: >-
                      The ${partner_type} '${partner_id}' doesn't exist in the
                      accounting system.
                    status: error
                    error_code: ERROR_PARTNER_NOT_FOUND
              schema:
                $ref: '#/components/schemas/ChiftError'
          description: Not Found
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - mcp_auth:
            - accounting
            - accounting.read
            - accounting.contacts
            - accounting.contacts.read
            - '200'
            - 200.r
            - 200.contacts
            - 200.contacts.r
components:
  schemas:
    PartnerType-Input:
      type: string
      enum:
        - client
        - supplier
      title: PartnerType
    ChiftPage_ContactItem_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ContactItem'
          type: array
          title: Items
        total:
          type: integer
          minimum: 0
          title: Total
        page:
          type: integer
          minimum: 1
          title: Page
        size:
          type: integer
          minimum: 1
          title: Size
      type: object
      required:
        - items
        - total
        - page
        - size
      title: ChiftPage[ContactItem]
    ChiftError:
      properties:
        message:
          type: string
          title: Message
        status:
          anyOf:
            - type: string
            - type: 'null'
          title: Status
          default: error
        detail:
          anyOf:
            - type: string
            - type: 'null'
          title: Detail
          default: ''
        error_code:
          anyOf:
            - type: string
            - type: 'null'
          title: Error Code
      type: object
      required:
        - message
      title: ChiftError
    HTTPValidationError:
      title: Validation Error
      required:
        - message
      type: object
      properties:
        message:
          title: Message
          type: string
          default: Validation error
        status:
          title: Status
          type: string
          default: error
        detail:
          title: Detail
          type: array
          items:
            $ref: '#/components/schemas/ValidationError'
    ContactItem:
      properties:
        id:
          type: string
          title: Id
          description: Unique id of the contact in the accounting system.
          examples:
            - <this-contact-id>
        name:
          type: string
          title: Name
          description: Full name of the contact.
          examples:
            - John Doe
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: First name of the contact.
          examples:
            - John
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Last name of the contact.
          examples:
            - Doe
        function:
          anyOf:
            - type: string
            - type: 'null'
          title: Function
          description: Business role or job title of the contact.
          examples:
            - Accountant
        email:
          anyOf:
            - type: string
            - type: 'null'
          title: Email
          description: Email address of the contact.
          examples:
            - john.doe@example.com
        phone:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone
          description: Phone number of the contact.
          examples:
            - +32 2 000 00 00
        mobile:
          anyOf:
            - type: string
            - type: 'null'
          title: Mobile
          description: Mobile phone number of the contact.
          examples:
            - +32 4 000 00 00
      type: object
      required:
        - id
        - name
      title: ContactItem
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT
      description: >-
        This access token needs to be included in each of your request to the
        Chift API.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.